## org.eclipse.datatools.modelbase.sql.query
Interface QueryExpressionBody

All Superinterfaces:
  SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Subinterfaces:
  QueryCombined, QuerySelect, QueryValues

All Known Implementing Classes:
  QueryCombinedImpl, QueryExpressionBodyImpl, QuerySelectImpl, QueryValuesImpl

public interface QueryExpressionBody
extends TableExpression

A representation of the model object 'Expression Body'.

The following features are supported:

- `Query Expression`
- `Combined Left`
- `Combined Right`
- `Predicate Exists`
- `Update Source Query`
- `With Table Specification`

See Also:
  `SQLQueryModelPackage.getQueryExpressionBody()`

Method Summary
`QueryCombined` `getCombinedLeft()` Returns the value of the 'Combined Left' container reference.
`QueryCombined` `getCombinedRight()` Returns the value of the 'Combined Right' container reference.
`PredicateExists` `getPredicateExists()` Returns the value of the 'Predicate Exists' container reference.
`QueryExpressionRoot` `getQueryExpression()` Returns the value of the 'Query Expression' container reference.
`UpdateSourceQuery` `getUpdateSourceQuery()` Returns the value of the 'Update Source Query' container reference.
`WithTableSpecification` `getWithTableSpecification()` Returns the value of the 'With Table Specification' container reference.
`void` `setCombinedLeft(QueryCombined value)` Sets the value of the '`Combined Left`' container reference.
`void` `setCombinedRight(QueryCombined value)` Sets the value of the '`Combined Right`' container reference.
`void` `setPredicateExists(PredicateExists value)` Sets the value of the '`Predicate Exists`' container reference.
`void` `setQueryExpression(QueryExpressionRoot value)` Sets the value of the '`Query Expression`' container reference.
`void` `setUpdateSourceQuery(UpdateSourceQuery value)` Sets the value of the '`Update Source Query`' container reference.
`void` `setWithTableSpecification(WithTableSpecification value)` Sets the value of the '`With Table Specification`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQueryExpression

    public QueryExpressionRoot getQueryExpression()

  Returns the value of the 'Query Expression' container reference. It is bidirectional and its opposite is '`Query`'.

  If the meaning of the 'Query Expression' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expression' container reference.
  See Also:
    `setQueryExpression(QueryExpressionRoot)`, `SQLQueryModelPackage.getQueryExpressionBody_QueryExpression()`, `QueryExpressionRoot.getQuery()`

### setQueryExpression

    public void setQueryExpression(QueryExpressionRoot value)

  Sets the value of the '`Query Expression`' container reference.

  Parameters:
    `value` - the new value of the 'Query Expression' container reference.
  See Also:
    `getQueryExpression()`

### getCombinedLeft

    public QueryCombined getCombinedLeft()

  Returns the value of the 'Combined Left' container reference. It is bidirectional and its opposite is '`Left Query`'.

  If the meaning of the 'Combined Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Left' container reference.
  See Also:
    `setCombinedLeft(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedLeft()`, `QueryCombined.getLeftQuery()`

### setCombinedLeft

    public void setCombinedLeft(QueryCombined value)

  Sets the value of the '`Combined Left`' container reference.

  Parameters:
    `value` - the new value of the 'Combined Left' container reference.
  See Also:
    `getCombinedLeft()`

### getCombinedRight

    public QueryCombined getCombinedRight()

  Returns the value of the 'Combined Right' container reference. It is bidirectional and its opposite is '`Right Query`'.

  If the meaning of the 'Combined Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Right' container reference.
  See Also:
    `setCombinedRight(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedRight()`, `QueryCombined.getRightQuery()`

### setCombinedRight

    public void setCombinedRight(QueryCombined value)

  Sets the value of the '`Combined Right`' container reference.

  Parameters:
    `value` - the new value of the 'Combined Right' container reference.
  See Also:
    `getCombinedRight()`

### getPredicateExists

    public PredicateExists getPredicateExists()

  Returns the value of the 'Predicate Exists' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Predicate Exists' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `setPredicateExists(PredicateExists)`, `SQLQueryModelPackage.getQueryExpressionBody_PredicateExists()`, `PredicateExists.getQueryExpr()`

### setPredicateExists

    public void setPredicateExists(PredicateExists value)

  Sets the value of the '`Predicate Exists`' container reference.

  Parameters:
    `value` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `getPredicateExists()`

### getUpdateSourceQuery

    public UpdateSourceQuery getUpdateSourceQuery()

  Returns the value of the 'Update Source Query' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Update Source Query' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Source Query' container reference.
  See Also:
    `setUpdateSourceQuery(UpdateSourceQuery)`, `SQLQueryModelPackage.getQueryExpressionBody_UpdateSourceQuery()`, `UpdateSourceQuery.getQueryExpr()`

### setUpdateSourceQuery

    public void setUpdateSourceQuery(UpdateSourceQuery value)

  Sets the value of the '`Update Source Query`' container reference.

  Parameters:
    `value` - the new value of the 'Update Source Query' container reference.
  See Also:
    `getUpdateSourceQuery()`

### getWithTableSpecification

    public WithTableSpecification getWithTableSpecification()

  Returns the value of the 'With Table Specification' container reference. It is bidirectional and its opposite is '`With Table Query Expr`'.

  If the meaning of the 'With Table Specification' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Table Specification' container reference.
  See Also:
    `setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getQueryExpressionBody_WithTableSpecification()`, `WithTableSpecification.getWithTableQueryExpr()`

### setWithTableSpecification

    public void setWithTableSpecification(WithTableSpecification value)

  Sets the value of the '`With Table Specification`' container reference.

  Parameters:
    `value` - the new value of the 'With Table Specification' container reference.
  See Also:
    `getWithTableSpecification()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.